Name:		lago
Version:	0.7.0
Release:	1%{?dist}
Summary:	System testing framework
BuildArch:	noarch

Group:		System Environment/Libraries
License:	GPLv2+
URL:		https://github.com/oVirt/lago
Source0:	https://resources.ovirt.org/pub/src/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	python2-devel
BuildRequires:	python-dulwich
BuildRequires:	python-flake8
BuildRequires:	python-nose
BuildRequires:	git
Requires:	python-%{name} = %{version}
Requires:	sudo

%description
LAGO System testing framework.
Deploy and tear down environments of several virtual machines

%prep
%setup -q -n %{name}-%{version}

%build
LAGO_VERSION=%{version} %{__python} setup.py build

%install
LAGO_VERSION=%{version} %{__python} setup.py install --root $RPM_BUILD_ROOT
cd "$RPM_BUILD_DIR"
install -d $RPM_BUILD_ROOT/usr/share/lago
install \
    bin/sync_templates.py \
    bin/update_images.py \
    "$RPM_BUILD_ROOT"/usr/share/lago

install -d "$RPM_BUILD_ROOT"/usr/libexec/ovirtlago
install \
    contrib/ovirt/libexec/build_engine_rpms.sh \
    contrib/ovirt/libexec/build_vdsm_rpms.sh \
    contrib/ovirt/libexec/build_vdsm-jsonrpc-java_rpms.sh \
    contrib/ovirt/libexec/build_ioprocess_rpms.sh \
    "$RPM_BUILD_ROOT"/usr/libexec/ovirtlago

install -d "$RPM_BUILD_ROOT"%{_sysconfdir}/mock
install \
    contrib/ovirt/mock/epel-6-x86_64_ovirt.cfg \
    contrib/ovirt/mock/epel-7-x86_64_ovirt.cfg \
    "$RPM_BUILD_ROOT"%{_sysconfdir}/mock

install -d "$RPM_BUILD_ROOT"%{_sysconfdir}/firewalld/services
install \
    contrib/ovirt/firewalld/services/lago.xml \
    "$RPM_BUILD_ROOT"%{_sysconfdir}/firewalld/services

install -d "$RPM_BUILD_ROOT"%{_sysconfdir}/polkit-1/localauthority/50-local.d
install \
    polkit/lago.pkla \
    "$RPM_BUILD_ROOT"%{_sysconfdir}/polkit-1/localauthority/50-local.d

install -d "$RPM_BUILD_ROOT"%{_sysconfdir}/sudoers.d
install \
    sudo/lago \
    "$RPM_BUILD_ROOT"%{_sysconfdir}/sudoers.d

install -d "$RPM_BUILD_ROOT"%{_sysconfdir}/lago.d
install \
    etc/lago.d/lago.conf \
    "$RPM_BUILD_ROOT"%{_sysconfdir}/lago.d

install -d "$RPM_BUILD_ROOT"%{_sysconfdir}/sudoers.d
install \
    sudo/lago \
    "$RPM_BUILD_ROOT"%{_sysconfdir}/sudoers.d


install -d "$RPM_BUILD_ROOT"/var/lib/lago/subnets
install -d "$RPM_BUILD_ROOT"/var/lib/lago/store
install -d "$RPM_BUILD_ROOT"/var/lib/lago/repos
install -d "$RPM_BUILD_ROOT"/var/lib/lago/reposync

%files
%doc AUTHORS COPYING README.md
%{_bindir}/lagocli
%{_bindir}/lago
%{_datadir}/%{name}/*
%attr(0775, root, root) %{_sysconfdir}/sudoers.d/*

%package -n python-%{name}
Summary:	Library to perform lago operations
BuildArch:	noarch
BuildRequires:	python2-devel
Requires:	python
Requires:	libguestfs-tools
Requires:	libvirt >= 1.2.8
Requires:	libvirt-python
Requires:	python-libguestfs
Requires:	python-lxml
Requires:	python-lockfile
Requires:	python-paramiko
Requires:	python-xmltodict
Requires:	python-setuptools
Requires:	python-stevedore
Requires:	qemu-img >= 2.1.2
Requires:	qemu-kvm >= 2.1.2
Requires:	git
%{?python_provide:%python_provide python2-lago}

%description -n python-%{name}

%files -n python-%{name}
%{python2_sitelib}/%{name}/*.py*
%{python2_sitelib}/%{name}/plugins/*.py*
%{python2_sitelib}/%{name}_template_repo/*.py*
%{python2_sitelib}/%{name}/*.xml
%{python2_sitelib}/%{name}-%{version}-py*.egg-info
%{_sysconfdir}/polkit-1/localauthority/50-local.d/
%config(noreplace) %{_sysconfdir}/lago.d/lago.conf
%dir %attr(2775, root, lago) /var/lib/lago/
%dir %attr(2775, root, lago) /var/lib/lago/subnets/
%dir %attr(2775, root, lago) /var/lib/lago/store/
%dir %attr(2775, root, lago) /var/lib/lago/repos/

%pre -n python-%{name}
if [[ "$1" -eq 1 ]]; then
	groupadd lago
fi

%postun -n python-%{name}
if [[ "$1" -eq 0 ]]; then
	groupdel lago
fi

%package -n %{name}-ovirt
Summary:	oVirt extension for lagocli
BuildArch:	noarch
BuildRequires:	python2-devel
Requires:	%{name} = %{version}
Requires:	python-%{name}-ovirt = %{version}

%files -n %{name}-ovirt

%description -n %{name}-ovirt

%package -n python-%{name}-ovirt
Summary:	Library for ovirt specific facitilies
BuildArch:	noarch
BuildRequires:	python2-devel
Requires:	python
Requires:	python-%{name} = %{version}
Requires:	python-nose
Requires:	python-magic
Requires:	mock
Requires:	ovirt-engine-sdk-python
Requires:	createrepo
Requires:	yum-utils
Requires:	rpm-build
Requires:	xz
%{?python_provide:%python_provide python2-lago-ovirt}

%description -n python-%{name}-ovirt

%files -n python-%{name}-ovirt
%{python2_sitelib}/ovirt%{name}/*.py*
%{_libexecdir}/ovirt%{name}/*
%{_sysconfdir}/mock/*
%{_sysconfdir}/firewalld/services/*
%dir %attr(2775, root, lago) /var/lib/lago/reposync/

%post -n python-%{name}-ovirt
if [ "$1" -eq 1 ]; then
	firewall-cmd --reload
	firewall-cmd --permanent --zone=public --add-service=lago
	firewall-cmd --reload
fi

%preun  -n python-%{name}-ovirt
if [ "$1" -eq 0 ]; then
	firewall-cmd --permanent --zone=public --remove-service=lago
	firewall-cmd --reload
fi

%changelog

* Fri Jan 29 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.7.0
    36279c9f: Merge pull request #66 from lago-project/move_to_cliplugins

* Fri Jan 29 2016 David Caro <dcaroest@redhat.com> - 0.6.22
    95a75427: Moved the lago subcommands to cli plugins

* Thu Jan 28 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.6.21
    cc993a41: Merge pull request #64 from lago-project/fix_el6_slow_boot

* Thu Jan 28 2016 David Caro <dcaroest@redhat.com> - 0.6.20
    aa273329: Add serial pty to the domains

* Thu Jan 28 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.6.19
    35bea980: Merge pull request #62 from lago-project/fix_trailing_slash

* Thu Jan 28 2016 David Caro <dcaroest@redhat.com> - 0.6.18
    8fb23bce: Using posixpath.join to concatenate urls

* Wed Jan 27 2016 Lago CI bot <dcaroest+cibot@redhat.com> - 0.6.17
    007fc96b: Merge pull request #44 from lago-project/fix_root_part_metadata

* Wed Jan 27 2016 David Caro <dcaroest@redhat.com> - 0.6.16
    4f3a41ff: virt:Fixed fetching of the root-partition key

* Tue Jan 26 2016 Yaniv Kaul <ykaul@redhat.com> - 0.6.15
    0d81d8cb: Merge pull request #37 from mykaul/download_progress

* Tue Jan 26 2016 Yaniv Kaul <ykaul@redhat.com> - 0.6.14
    4a09525c: Download progress

* Tue Jan 26 2016 Yaniv Kaul <ykaul@redhat.com> - 0.6.13
    70ab5b41: Merge pull request #29 from mykaul/download_progress

* Tue Jan 26 2016 Yaniv Kaul <ykaul@redhat.com> - 0.6.12
    2ea01518: Merge branch 'download_progress' of
    o into download_progress

* Tue Jan 26 2016 Yaniv Kaul <ykaul@redhat.com> - 0.6.11
    7f76aec9: Progress report for template download

* Mon Jan 25 2016 David Caro <dcaroest@redhat.com> - 0.6.10
    ca27b651: Checking the last commit on the checkstyle

* Mon Jan 25 2016 David Caro <dcaroest@redhat.com> - 0.6.9
    65ebc75b: Fixed yapf check when no files changed

* Mon Jan 25 2016 Yaniv Kaul <ykaul@redhat.com> - 0.6.8
    be50406a: Progress report for template download

* Mon Jan 25 2016 Tolik Litovsky <anatoly.lit@gmail.com> - 0.6.7
    847c0d16: Merge pull request #28 from tlitovsk/master

* Sun Jan 24 2016 David Caro <david@dcaro.es> - 0.6.6
    c3a81a77: Merge pull request #27 from david-caro/add_lago_cli

* Sun Jan 24 2016 Tolik Litovsky <tlitovsk@redhat.com> - 0.6.5
    fc88679b: Support storing of disk url's into given path

* Sat Jan 23 2016 David Caro <david@dcaro.es> - 0.6.4
    1420a636: Merge pull request #26 from david-caro/log_tweaks

* Sat Jan 23 2016 David Caro <dcaroest@redhat.com> - 0.6.3
    358e72ed: Added lago cli command

* Sat Jan 23 2016 David Caro <dcaroest@redhat.com> - 0.6.2
    2da97bba: Removed task start message

* Sat Jan 23 2016 David Caro <dcaroest@redhat.com> - 0.6.1
    29676579: logs:Changing the priority of start/stop vm/net

* Fri Jan 22 2016 David Caro <dcaroest@redhat.com> - 0.6.0
    b4988b0f: Added yapf style

* Thu Jan 21 2016 Yaniv Kaul <ykaul@redhat.com> - 0.5.20
    974623e4: Fix for reposync command, not to leave leftovers in /var/tmp/yum*

* Thu Jan 21 2016 David Caro <dcaroest@redhat.com> - 0.5.19
    de56c593: Added start/stopping of single vms
    FIXED BUGS: BZ#1279441

* Thu Jan 21 2016 Dima Kuznetsov <dmitrykuzn@gmail.com> - 0.5.18
    90afb0fe: Add python_provide macros to spec

* Thu Jan 21 2016 Dima Kuznetsov <dmitrykuzn@gmail.com> - 0.5.17
    62db22f7: Fix SyntaxWarning on global variables

* Thu Jan 21 2016 Yaniv Kaul <ykaul@redhat.com> - 0.5.16
    8f15a2df: Small fixes to virt.py

* Thu Jan 21 2016 Tolik Litovsky <tlitovsk@redhat.com> - 0.5.15
    f5874cb4: Adding option to provide iso as a disk.

* Thu Jan 21 2016 David Caro <dcaroest@redhat.com> - 0.5.14
    3f05b300: tests:Removed unneded extra var expansion

* Thu Jan 21 2016 Tolik Litovsky <tlitovsk@redhat.com> - 0.5.13
    b09cbd3b: Adding option to upload ova files to the lago env

* Thu Jan 21 2016 David Caro <dcaroest@redhat.com> - 0.5.12
    1ca5f60b: Added url support to file image provider

* Thu Jan 21 2016 Yaniv Kaul <ykaul@redhat.com> - 0.5.11
    4f3145c6: Add sleep in assertion loop

* Wed Jan 20 2016 Yaniv Kaul <ykaul@redhat.com> - 0.5.10
    b0a6e828: Changes to dom_template.xml

* Wed Jan 20 2016 David Caro <dcaroest@redhat.com> - 0.5.9
    2a10350b: Fix composed plugins calls

* Tue Jan 19 2016 David Caro <dcaroest@redhat.com> - 0.5.8
    c820276f: Removed unnecessary macros from spec

* Tue Jan 19 2016 David Caro <dcaroest@redhat.com> - 0.5.7
    3dd1c7e1: Added CLIPlugin abstract class and entry points

* Tue Jan 19 2016 David Caro <dcaroest@redhat.com> - 0.5.6
    98630665: Added nice colored logging to lago
    FIXED BUGS: BZ#1277674

* Tue Jan 19 2016 David Caro <dcaroest@redhat.com> - 0.5.5
    e02497b3: packaging:Added version manager script

* Tue Dec 29 2015 Doron Fediuck <dfediuck@redhat.com> - 0.5.4
    99e0eeee: Docs: initial santity

* Fri Dec 18 2015 David Caro <dcaroest@redhat.com> - 0.5.3
    122891d5: docs:Fixed the current errors

* Fri Dec 18 2015 David Caro <dcaroest@redhat.com> - 0.5.2
    863ae850: Added html report generation

* Fri Dec 18 2015 Martin Perina <mperina@redhat.com> - 0.5.1
    7658c14f: Configure virtio-rng for VMs

* Wed Dec 16 2015 David Caro <dcaroest@redhat.com> - 0.5.0
    8cf2965c: Added compressed images support to the url handler
    FIXED BUGS: BZ#1284838

* Fri Dec 11 2015 David Caro <dcaroest@redhat.com> - 0.4.27
    8e976326: Updated repo url in the readme

* Fri Dec 11 2015 David Caro <dcaroest@redhat.com> - 0.4.26
    75e10f93: Added release procedure
    FIXED BUGS: BZ#1288062

* Wed Dec 09 2015 David Caro <dcaroest@redhat.com> - 0.4.25
    3fe2fa62: Added URL support for --template-repo-path
    FIXED BUGS: BZ#1288582

* Thu Dec 03 2015 David Caro <dcaroest@redhat.com> - 0.4.24
    4ef1e378: Adding simple changelog to the dist tarball

* Thu Dec 03 2015 David Caro <dcaroest@redhat.com> - 0.4.23
    9d16b0dd: pkg:Fixed wrong release version string

* Wed Dec 02 2015 David Caro <dcaroest@redhat.com> - 0.4.22
    4a8a932a: Fix for the selinux relabeling
    FIXED BUGS: BZ#1287173

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.4.21
    96546351: docs:Added ovirtlago.repoverify module docs

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.4.20
    8a8125a9: docs:Documented the subnet_lease module

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.4.19
    98b0731c: docs:Added docs to ovirtlago.utils

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.4.18
    f6e57583: docs:Adding docs to lago.templates module

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.4.17
    518fbdcc: docs:Added docs for lago package __init__

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.4.16
    dbeb01d5: docs:Allowing google style docstrings

* Tue Dec 01 2015 David Caro <dcaroest@redhat.com> - 0.4.15
    08c5a898: automation: added docs handling

* Thu Nov 26 2015 David Caro <dcaroest@redhat.com> - 0.4.14
    7167f207: Added small note on libvirt restart when new user

* Thu Nov 26 2015 David Caro <dcaroest@redhat.com> - 0.4.13
    d0217abd: docs: Putting the getting started section on top

* Thu Nov 26 2015 David Caro <dcaroest@redhat.com> - 0.4.12
    ba4f1be5: Added small log when downloading a template

* Thu Nov 26 2015 David Caro <dcaroest@redhat.com> - 0.4.11
    dfade4ef: docs:Added yum repofile examples to the install docs
    FIXED BUGS: BZ#1282904

* Thu Nov 26 2015 David Caro <dcaroest@redhat.com> - 0.4.10
    1fab8595: docs:Adding a note on disk requirements in the example
    FIXED BUGS: BZ#1282906

* Thu Nov 26 2015 David Caro <dcaroest@redhat.com> - 0.4.9
    5248291e: Added nice logo to the docs

* Thu Nov 26 2015 David Caro <dcaroest@redhat.com> - 0.4.8
    260e05dc: doc:Added libvirt restart and note on permissions

* Wed Nov 25 2015 David Caro <dcaroest@redhat.com> - 0.4.7
    3a8c9576: Not removing uuid on cleanup
    FIXED BUGS: BZ#1281282

* Sat Nov 21 2015 Eyal Edri <eedri@redhat.com> - 0.4.6
    ca3ef20c: doc: fixing typo for example on local templates repo

* Thu Nov 19 2015 David Caro <dcaroest@redhat.com> - 0.4.5
    1a22c4a3: docs:Added ovirt deps install in the example
    FIXED BUGS: BZ#1283333

* Thu Nov 19 2015 David Caro <dcaroest@redhat.com> - 0.4.4
    823bc12e: docs:Adding note on rh office repo

* Thu Nov 19 2015 Eyal Edri <eedri@redhat.com> - 0.4.3
    24ea258d: doc: add some info on first step download of templates & faq
    FIXED BUGS: BZ#1283669

* Tue Nov 17 2015 David Caro <dcaroest@redhat.com> - 0.4.2
    147f785d: Added sudo dependency
    FIXED BUGS: BZ#1279054

* Mon Nov 16 2015 David Caro <dcaroest@redhat.com> - 0.4.1
    1f9e5fc1: Fixing readme distros list
    FIXED BUGS: BZ#1282501

* Mon Nov 16 2015 David Caro <dcaroest@redhat.com> - 0.4.0
    eff7f437: Fixing reposync defaults

* Mon Nov 16 2015 David Caro <dcaroest@redhat.com> - 0.3.6
    29dbe509: Adding sphinx docs
    FIXED BUGS: BZ#1282163

* Thu Nov 12 2015 David Caro <dcaroest@redhat.com> - 0.3.5
    dff25485: Remove unmaintained files and lago-ovirt-extras package
    FIXED BUGS: BZ#1277649

* Thu Nov 12 2015 David Caro <dcaroest@redhat.com> - 0.3.4
    0954cbdd: Updating readme with new tests location
    FIXED BUGS: BZ#1279433

* Mon Nov 09 2015 David Caro <dcaroest@redhat.com> - 0.3.3
    163e8a2b: Sorting and removing dupes form the .packages

* Mon Nov 09 2015 David Caro <dcaroest@redhat.com> - 0.3.2
    093e9a6c: Fixed the running of the tests on fc23

* Wed Nov 04 2015 David Caro <dcaroest@redhat.com> - 0.3.1
    174d8755: Updated the README and example script

* Mon Nov 02 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.3.0
    a808c0b6: Adapting 3.5 tests

* Mon Nov 02 2015 David Caro <dcaroest@redhat.com> - 0.2.169
    df8f6e7e: Added the 3.5 tests

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.2.168
    6828ba67: Fixing a bit the return codes

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.2.167
    970755d6: Setting el6 engine

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.2.166
    641d9a0c: Using --config-append instead of --config

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.2.165
    5f866992: Adding guid bit to the lib dirs

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.2.164
    73a29afa: Refreshed the repos

* Fri Oct 30 2015 David Caro <dcaroest@redhat.com> - 0.2.163
    7aae95ac: Adding the store configs

* Fri Oct 23 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.162
    c3e83301: adding qemu cbs to support master branch with centos7

* Fri Oct 23 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.161
    70aab26e: Adjusting the bootstrap for master

* Fri Oct 23 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.160
    0d911bc3: Fixing the engine answer file

* Fri Oct 23 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.159
    62cdaaee: Updating the master branch repositories

* Thu Oct 22 2015 Sandro Bonazzola <sbonazzo@redhat.com> - 0.2.158
    c407952b: packaging: spec: fix rpmlint issues

* Thu Oct 15 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.157
    887a6c35: Fixing the readme to have direct link to github

* Thu Oct 01 2015 David Caro <dcaroest@redhat.com> - 0.2.156
    30c49a83: Merge "Moving to setuptools"

* Thu Sep 10 2015 David Caro <dcaroest@redhat.com> - 0.2.155
    6f12ba99: Merge "Modify paths in readme file"

* Thu Sep 10 2015 David Caro <dcaroest@redhat.com> - 0.2.154
    948690d6: Moving to setuptools

* Wed Sep 09 2015 Dima Kuznetsov <dmitrykuzn@gmail.com> - 0.2.153
    7d66bd10: Fix sysprep of non-dhcp interfaces

* Wed Sep 09 2015 Yaniv Bronhaim <ybronhei@redhat.com> - 0.2.152
    841f108d: Modify paths in readme file

* Sat Sep 05 2015 Dima Kuznetsov <dmitrykuzn@gmail.com> - 0.2.151
    428cc247: Use standard 1st param in classmethods

* Mon Aug 31 2015 David Caro <dcaroest@redhat.com> - 0.2.150
    b36d49a6: Add functional tests

* Thu Aug 27 2015 David Caro <dcaroest@redhat.com> - 0.2.149
    41733624: Allowing user paths and vars for templates

* Thu Aug 27 2015 David Caro <dcaroest@redhat.com> - 0.2.148
    97a13130: Adapted gitreview file

* Wed Aug 26 2015 Max Kovgan <mvk@redhat.com> - 0.2.147
    1c9f8ee6: rename testenv to lago totally

* Mon Aug 24 2015 David Caro <dcaroest@redhat.com> - 0.2.146
    79cb1e35: Reorganizing for standard-ci

* Tue Aug 18 2015 Max Kovgan <mvk@redhat.com> - 0.2.145
    56ec8524: reduce some code dups

* Tue Aug 18 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.144
    3f124d78: Move sysprep to system session

* Tue Aug 18 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.143
    9069f4b6: Added warning to testenvcli when invoking without testenv group

* Mon Aug 17 2015 Yeela Kaplan <ykaplan@redhat.com> - 0.2.142
    e67da6f8: Allow the use of prototypes for domains

* Mon Aug 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.141
    b28c732f: Updates to the json README

* Mon Aug 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.140
    a75ae5b9: Switch bootstrap code to rely on virt-sysprep

* Sun Aug 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.139
    8f357999: Fix allocation of x.x.x.0 ips

* Sun Aug 16 2015 Shahar Havivi <shaharh@redhat.com> - 0.2.138
    fdd1070d: Copy files to/from a host

* Sun Aug 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.137
    59411f17: Refactor net initialization code

* Sun Aug 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.136
    e0c0a66f: Fix some comments for RollbackContext

* Sun Aug 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.135
    fbbf1569: Exit when build script has insufficient parameters

* Sun Aug 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.134
    254bb373: Add ioprocess building

* Sun Aug 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.133
    d9a05b57: Add invoke_in_parallel function

* Thu Aug 13 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.132
    5376da70: Fix vdsm/engine/... build scripts

* Sun Aug 09 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.131
    777685db: Add 'ovirt serve' verb

* Wed Aug 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.130
    b95e794a: Fix JSON schema

* Wed Aug 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.129
    77be26bf: Update VDSM build scripts to build for fc21/22

* Wed Jul 29 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.128
    2c61ca2e: update_images: Convert image paths to absolute

* Tue Jul 28 2015 David Caro <dcaroest@redhat.com> - 0.2.127
    2687fb25: Quoting some dangerous vars on build-artifacts

* Sun Jul 12 2015 David Caro <dcaroest@redhat.com> - 0.2.126
    75e32aa8: Adding a little message when opening a shell error

* Sun Jul 12 2015 David Caro <dcaroest@redhat.com> - 0.2.125
    80713479: Adding git review file

* Tue Jul 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.124
    ef81c274: Remove jboss home path parameter from engine setup verb

* Tue Jul 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.123
    b7e0c0ab: Refactor ssh and service handling

* Mon Jul 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.122
    c3ec2647: Fix DHCP/DNS record gathering

* Mon Jul 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.121
    57c59290: Add bootstrap of several NICs

* Mon Jul 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.120
    579c8e5f: Revert ssh ret changes until ssh methods are done

* Sun Jul 05 2015 Oved Ourfali <oourfali@redhat.com> - 0.2.119
    3a75e325: Update README.templates.md

* Thu Jul 02 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.118
    106ef552: Add automation build script

* Thu Jul 02 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.117
    e0bb9d70: Fix pep8 warnings

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.116
    bc6935b9: Fix distro detection

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.115
    bc3e66a8: Simplify basic_sanity test

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.114
    1496ed4d: Simplify bootstrap test

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.113
    f277d964: Remove explicit host names from tests

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.112
    b1583b0b: Remove unused files

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.111
    be8f7e7f: Add more info to templates README

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.110
    98a3b14a: Move templates README

* Sun Jun 28 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.109
    f2d52cf9: Add README with info about templates

* Thu Jun 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.108
    8c4d1dcd: More README updates

* Thu Jun 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.107
    fb5a5905: Update README files

* Thu Jun 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.106
    c4754735: Add requirement for qemu-img/qemu-kvm packages

* Thu Jun 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.105
    74cd9d9a: Add test for engine-setup step

* Tue Jun 23 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.104
    dae0321f: Added live-snapshot capability to centos7 config

* Sun Jun 14 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.103
    3cc62120: Fix sftp access

* Sun Jun 14 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.102
    fb659a57: Remove external repo disabling

* Sun Jun 14 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.101
    b4f1c3ed: Update image update script

* Sun Jun 14 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.100
    83eeddbf: Add output override to makefile rpm and dist targets

* Sun Jun 14 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.99
    a002d158: Fix interactive_ssh

* Sun Jun 14 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.98
    4dd81ffe: Remove SSH client reuse and add explicit SSH termination

* Thu Jun 11 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.97
    9e28762e: testenvcli ovirt collect: make --output flag mandatory

* Wed Jun 03 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.96
    ed415a0b: Adding the container scenario to setup of rpms

* Tue Jun 02 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.95
    d5178553: Moving the container deploy to engine.

* Mon May 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.94
    99e02ef7: Add git to BuildRequires

* Mon May 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.93
    3019af9d: Add json schema readme

* Mon May 25 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.92
    009a2e8b: Add libvirt cache workaround to centos7 config

* Thu May 21 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.91
    ba2b8f21: Fix srpm inclusion in internal repo

* Mon May 18 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.90
    42f49e6c: Remove print statements

* Mon May 18 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.89
    fec0364a: updating the container build script

* Mon May 18 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.88
    056c15a8: More fixes for merge_repos module

* Mon May 18 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.87
    911c1e7b: Change RPM header retrieval

* Mon May 18 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.86
    fc714c66: Added excludes to repo files

* Mon May 18 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.85
    213c1b09: Fix merge_repos code to handle latest and greatest noarch vdsm

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.84
    26199494: Make NAT default forward mode for testenv

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.83
    11e92b34: Fix status verb

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.82
    459d6714: Remove te- prefix from bridge networks

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.81
    10d22fbf: More fixes for bridge network type

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.80
    a3679a3e: Fix errors in BridgeNetwork code

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.79
    0654bfef: Fix attribute error in Network class

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.78
    363576ee: Add CommandStatus type and use it in run_command

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.77
    37ceb52b: Fix PEP8 errors

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.76
    d55cd4c7: Avoid allocating addresses on bridge networks

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.75
    120e0d1f: Add safelease sync from EPEL

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.74
    3e7ad64b: Fix typo in NATNetwork and BridgeNetwork

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.73
    bc776c36: Add elaborate rules for testenv sudoers

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.72
    ecad8786: Add bridge type network

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.71
    b3169fff: Fix PEP8 for setup.py

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.70
    40d80042: Make template check less strict

* Sun May 17 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.69
    6b409b64: README fixes

* Sun May 17 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.68
    a0739b69: Fixing correct host setup script and memory

* Sun May 17 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.67
    ab4bd673: autopep8 the code

* Sun May 17 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.66
    22f1b5e5: Adding handling of systemd in a container and outside of him

* Wed May 13 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.65
    fe8487f2: Adding container config samle

* Mon May 11 2015 Tolik Litovsky <tlitovsk@redhat.com> - 0.2.64
    4d9d9c79: Adding setup script of container based node

* Mon May 11 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.63
    76f65140: Add missing file from commit a973e026

* Sun May 10 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.62
    4db3effa: Add fix for stuck CLI verbs

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.61
    1259f3bb: Refresh the README slightly

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.60
    dcd792d0: Fix makefile spec target

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.59
    8570da3f: Move config files into testenv-ovirt-extras package

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.58
    75e1c7e4: Clean old rpms when uploading new ones

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.57
    a7b90ee8: Add repo building targets to makefile

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.56
    12bd917f: Refactor scp_to/from code

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.55
    eab07c7a: Change the defaul log level to debug

* Thu May 07 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.54
    a973e026: Add BZ#1195882 workaround for libvirt

* Sun May 03 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.53
    345eafc7: Renovate image update script

* Sun May 03 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.52
    738b05ea: Fix create_disk bug

* Sun May 03 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.51
    b6d34bcd: Fix python2 call

* Sun May 03 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.50
    ce2fe900: Move deploy paths into virt config

* Sun May 03 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.49
    2ea8356e: Split out bootstrap steps

* Sat May 02 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.48
    0feea52e: Add flake8 source check to build process

* Thu Apr 30 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.47
    465d001d: Fix build_engine bugs

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.46
    41715c31: Add repo management utility

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.45
    0c59c9b6: Add option to configure default repo to use

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.44
    a23541bb: Add option to skip syncing the repository

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.43
    50379c5e: Add option to store templates inside configurable testenv path

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.42
    5bc7c76a: Fix white/blacklist filtering in repoverify

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.41
    2f0fa7b0: Fix incorrent attribute access

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.40
    82c68d52: Remove unneeded code

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.39
    be4529f3: Cleanup of method calls to properties

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.38
    d5fbe1ba: Add exclude for big RPMs we don't need

* Sun Apr 26 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.37
    f506cb99: Add building of vdms-jsonrpc-java component

* Sun Apr 19 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.36
    23b3b43f: Fix internal reposync config

* Sun Apr 19 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.35
    26d5b1f5: Tidy up build scripts

* Sun Apr 19 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.34
    ea982b06: Fix missing template hash in logs

* Sun Apr 19 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.33
    3b8d3503: Make log level configurable

* Sun Apr 19 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.32
    b5623b0e: Add pre-configured default paths to installation

* Sun Apr 19 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.31
    1532537c: Introduce configuration files

* Thu Apr 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.30
    e1331435: Fix collect verb

* Thu Apr 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.29
    84a8471a: Add option to exclude packages from repoverify

* Thu Apr 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.28
    10b524db: Fix RPM filtering by arch

* Thu Apr 16 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.27
    36e08bcb: Exclude downloading jasperreports-server when syncing nighly RPMs

* Mon Apr 13 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.26
    188d0cd7: Add log collection verb

* Mon Apr 13 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.25
    fc09ae74: Revert "Update Blank template name to Default"

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.24
    fe193ed9: Fix get_api() code

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.23
    dc3252f9: Fix passing arguments to select.select

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.22
    a4998506: Update Blank template name to Default

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.21
    49b30181: Enable persistent auth in ovirtsdk API

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.20
    b2a40ab4: Convert possibly unicode string to ascii

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.19
    dacf4710: Add timeout to ssh interactive loop

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.18
    a1dde065: Convert possibly unicode strings to ascii

* Sun Apr 12 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.17
    379b12ad: Add more information to ssh command logs

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.16
    f96b9693: Detect what distros to sync/build from template versions

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.15
    7d2f885d: Use password from template when adding host to engine

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.14
    7396e2e4: Fix NIC info identation in status verb

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.13
    c3819d96: Import template metadata into the VM objects

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.12
    50fc1c6a: Change discovered verbs filter order

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.11
    466235ec: Add template repository support

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.10
    e8b07bfe: Fix wrong index in shell verb

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.9
    06b62b73: Make except clause more precise

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.8
    8b4155cb: Fix premature output cutoff in ssh commands

* Mon Apr 06 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.7
    f43a6ef6: Add 3.5 answer file for EL6

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.6
    70748698: Fix ovirt-capabilities in CentOS6/7 virt configurations

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.5
    85c702fc: Remove templates directory symlink

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.4
    8ead2755: Get rid of external repo symlink

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.3
    7fea1d7d: Fix prefix metadata load/save code

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.2
    0d154afb: Fix HTTP server context

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.1
    9d399c14: Fixes for source revisions

* Sun Apr 05 2015 Dima Kuznetsov <dkuznets@redhat.com> - 0.2.0
    517b7c80: Initial squash from bit-bucket repo

* Tue Aug 12 2014 Dima Kuznetsov <dkuznets@redhat.com> - 0.0.1
    6624afc3: Initial commit

